/** 
 * @student.info
 *<BR> Name:          Mr. Eliot
 *<BR> Date:          09-25-2012, updated 09-25-2013, updated 09-24-2014, updated 09-22-2016, updated 9-20-2018, updated 9-18-2019
 *<BR> Period:        All
 *<BR> Description:   Demo to review constructors, Static, Color values, private values, etc.
 *<BR> Cite Sources:  COLOR CODES FROM: 	https://www.rapidtables.com/web/color/RGB_Color.html
 */

import java.awt.Color;

public class FilledBubbleTester
{
	private static Color DarkOrchid = new Color(153, 50, 204);	

    public static void main(String[] args)
    {
		//Construct all FilledBubble Objects FIRST...
		FilledBubble Bubble01 = new FilledBubble();
		FilledBubble Bubble02 = new FilledBubble(-100, -5, 8.0);
		FilledBubble Bubble03 = new FilledBubble(100, 15, 12.8);
		FilledBubble Bubble04 = new FilledBubble(-300, -100, 20.0, Color.blue);
		FilledBubble Bubble05 = new FilledBubble(100, 50, 14.0, Color.yellow);
		FilledBubble Bubble06 = new FilledBubble(45, 80, 25.0, new Color(255, 140, 0));		//Dark Orange
		FilledBubble Bubble07 = new FilledBubble(-80, -80, 40.0, DarkOrchid);
		FilledBubble Bubble08 = new FilledBubble(-200, 200, 9.0, Color.cyan);
		FilledBubble Bubble09 = new FilledBubble(300, -150, 50.0, Color.magenta);
		FilledBubble Bubble10 = new FilledBubble(150, -150, 17.5, Color.pink); 
		
		//Draw all FilledBubbles AFTER Objects are created...
		Bubble01.draw();
		Bubble02.draw();
		Bubble03.draw();
		Bubble04.draw();
		Bubble05.draw();
		Bubble06.draw();
		Bubble07.draw();
		Bubble08.draw();
		Bubble09.draw();
		Bubble10.draw();
    }
}